@echo off
echo * Bootstrap started to setup environment
set nuget=D:\Projects\nuget.exe
set nugetrepo=D:\Projects\quadarax\@nuget.repo

rem ** check if directories exists **
if not exist "bin" goto err_bin_not_found
if not exist "%nuget%" goto err_locnuget_not_found
if not exist "%nugetrepo%" goto err_locnugetrepo_not_found


goto done

:err_bin_not_found
echo ERR: missing 'bin' directory in current location
goto exit

:err_locnuget_not_found
echo ERR: cannot find nuget.exe '%nuget%' or path is invalid.
goto exit

:err_locnugetrepo_not_found
echo ERR: cannot find nuget repository '%nugetrepo%' or path is invalid.
goto exit


:done
echo * Bootstrap succesfuly set
:exit